import Flutter
import UIKit
import Verifai
import VerifaiCommons

public class SwiftVerifaiPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "verifai", binaryMessenger: registrar.messenger())
    let instance = SwiftVerifaiPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {

    let licenceString = "=== Verifai Licence file V2 ===[...]"

      switch VerifaiCommons.setLicence(licenceString) {
          case .success(_):
              print("Successfully configured Verifai")
          case .failure(let error):
              print("🚫 Licence error: \(error)")
      }
      do {
          try Verifai.start(over: self) { result in
              switch result {
              case .failure(let err):
                  print("Error: \(err)")
              case .success(let result):
                  print(result)
                  // Continue with the result
                  let frontImage = result.frontImage
                  // etc....
              }
          }
      } catch {
          print("🚫 Licence error: \(error)")
      }

    result("iOS " + UIDevice.current.systemVersion)
  }
}
